### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
MultiProductOneStep Class Reference

Single-step market-model product. More...

`#include <ql/models/marketmodels/products/multiproductonestep.hpp>`

Inheritance diagram for MultiProductOneStep:
[legend]

List of all members.

## Public Member Functions

| MultiProductOneStep (const std::vector< Time > &rateTimes)
MarketModelMultiProduct interface
const EvolutionDescription & | evolution () const
std::vector< Size > | suggestedNumeraires () const

## Protected Attributes

std::vector< Time > | rateTimes_
EvolutionDescription | evolution_

## Detailed Description

Single-step market-model product.

This is the abstract base class that encapsulates the notion of a MarketModelMultiProduct which can be evaluated in one step (aka Rebonato's very long jump).